EmbeddedTomcatWebContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.EmbeddedTomcatWebContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface EmbeddedTomcatWebContainer

All Superinterfaces:
  J2EEWebContainer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer, WebContainer

    public interface EmbeddedTomcatWebContainer

extends J2EEWebContainer

EmbeddedTomcatWebContainer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getBacklog()`
`java.lang.String` | `getCatalinaHome()`
`boolean` | `getDeleteWorkDirs()`
`boolean` | `getDownloadServerClasses()`
`HTTPConnector[]` | `getHTTPConnector()`
`boolean` | `getJava2ClassLoadingCompliance()`
`boolean` | `getLenientEJBLink()`
`int` | `getSnapshotInterval()`
`java.lang.String` | `getSnapshotMode()`
`java.lang.String` | `getSubjectAttributeName()`
`boolean` | `getUnpackWars()`
`boolean` | `getUseJBossWebLoader()`
`boolean` | `hasBacklog()`
`boolean` | `hasCatalinaHome()`
`boolean` | `hasDeleteWorkDirs()`
`boolean` | `hasDownloadServerClasses()`
`boolean` | `hasHTTPConnector()`
`boolean` | `hasJava2ClassLoadingCompliance()`
`boolean` | `hasLenientEJBLink()`
`boolean` | `hasSnapshotInterval()`
`boolean` | `hasSnapshotMode()`
`boolean` | `hasSubjectAttributeName()`
`boolean` | `hasUnpackWars()`
`boolean` | `hasUseJBossWebLoader()`
`void` | `setBacklog(int backlog)`
`void` | `setCatalinaHome(java.lang.String home)`
`void` | `setDeleteWorkDirs(boolean deleteWorkDirs)`
`void` | `setDownloadServerClasses(boolean downloadServerClasses)`
`void` | `setHTTPConnector(HTTPConnector[] connector)`
`void` | `setJava2ClassLoadingCompliance(boolean classLoading)`
`void` | `setLenientEJBLink(boolean lenientEJBLink)`
`void` | `setSnapshotInterval(int interval)`
`void` | `setSnapshotMode(java.lang.String mode)`
`void` | `setSubjectAttributeName(java.lang.String subject)`
`void` | `setUnpackWars(boolean unpackWars)`
`void` | `setUseJBossWebLoader(boolean useJBossWebLoader)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebContainer
`getDirectives, getServerRoot, getUser, getVirtualHosts, hasDirectives, hasServerRoot, hasUser, hasVirtualHosts, setDirectives, setServerRoot, setUser, setVirtualHosts`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getUseJBossWebLoader

    boolean getUseJBossWebLoader()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseJBossWebLoader

    void setUseJBossWebLoader(boolean useJBossWebLoader)

### hasUseJBossWebLoader

    boolean hasUseJBossWebLoader()

### getJava2ClassLoadingCompliance

    boolean getJava2ClassLoadingCompliance()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJava2ClassLoadingCompliance

    void setJava2ClassLoadingCompliance(boolean classLoading)

### hasJava2ClassLoadingCompliance

    boolean hasJava2ClassLoadingCompliance()

### getSubjectAttributeName

    java.lang.String getSubjectAttributeName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubjectAttributeName

    void setSubjectAttributeName(java.lang.String subject)

### hasSubjectAttributeName

    boolean hasSubjectAttributeName()

### getUnpackWars

    boolean getUnpackWars()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUnpackWars

    void setUnpackWars(boolean unpackWars)

### hasUnpackWars

    boolean hasUnpackWars()

### getLenientEJBLink

    boolean getLenientEJBLink()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLenientEJBLink

    void setLenientEJBLink(boolean lenientEJBLink)

### hasLenientEJBLink

    boolean hasLenientEJBLink()

### getDownloadServerClasses

    boolean getDownloadServerClasses()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDownloadServerClasses

    void setDownloadServerClasses(boolean downloadServerClasses)

### hasDownloadServerClasses

    boolean hasDownloadServerClasses()

### getBacklog

    int getBacklog()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBacklog

    void setBacklog(int backlog)

### hasBacklog

    boolean hasBacklog()

### getCatalinaHome

    java.lang.String getCatalinaHome()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCatalinaHome

    void setCatalinaHome(java.lang.String home)

### hasCatalinaHome

    boolean hasCatalinaHome()

### getSnapshotMode

    java.lang.String getSnapshotMode()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSnapshotMode

    void setSnapshotMode(java.lang.String mode)

### hasSnapshotMode

    boolean hasSnapshotMode()

### getSnapshotInterval

    int getSnapshotInterval()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSnapshotInterval

    void setSnapshotInterval(int interval)

### hasSnapshotInterval

    boolean hasSnapshotInterval()

### getDeleteWorkDirs

    boolean getDeleteWorkDirs()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeleteWorkDirs

    void setDeleteWorkDirs(boolean deleteWorkDirs)

### hasDeleteWorkDirs

    boolean hasDeleteWorkDirs()

### getHTTPConnector

    HTTPConnector[] getHTTPConnector()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setHTTPConnector

    void setHTTPConnector(HTTPConnector[] connector)

### hasHTTPConnector

    boolean hasHTTPConnector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD